Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

job_pk
string<uuid>
required
project_real_estate_pk
string<uuid>
required

Response

Read-only serializer for generate real-estate video jobs.

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only

Datetime when the record was created.

error_message
string
required
read-only

Error details if job failed.

status
enum<string>
required

Current job status.

  • queued - Queued
  • processing - Processing
  • expired - Expired
  • cancelled - Cancelled
  • completed - Completed
  • failed - Failed
Available options:
queued,
processing,
expired,
cancelled,
completed,
failed
description
string
required
read-only

Human-readable job description.

started_at
string<date-time>
required
read-only

When job processing started.

finished_at
string<date-time> | null
required
read-only

When the job processing successfully finished.

processing_time_seconds
number<double>
required
read-only

Calculate job processing time in seconds. If the job is still processing, calculate time since started. If the job was cancelled, deleted, calculate time until that point. if the job is completed, calculate time until finished.

cost_credits
string<decimal>
required
read-only

Job cost in 🪙 Credits.

Pattern: ^-?\d{0,8}(?:\.\d{0,2})?$
project_real_estate
string<uuid> | null
required
read-only

Real-estate project this generation job belongs to.